# soapCall

## Description

Directly access or call a SOAP Web Service.

## Input / Parameters

| No | Name      | Description                                                               | Data Type | Required |
| -- | --------- | ------------------------------------------------------------------------- | --------- | -------- |
| 1  | connector | Name of connector and created in the Services and Global Components page. | String    | Yes      |
| 2  | function  | The function from the Web Service to be executed.                         | String    | Yes      |
| 3  | data      | This contains the main parameter in the function being called.            | Object    | No       |

## Output

Coming soon.

## Callback

Coming soon.

## Video

Coming soon.

## Example

The user wants to call the SOAP Web Service.

### Step

1. To create SOAP Connector in Services and define the name, url and timeOut.\
   Name: soap\
   url: <http://203.116.137.100:51059/Training/Main.asmx> ( Please refer to the picture below, there is a example of main web service.We have take one of the operation which is login as an example to apply for this function.)\
   timeOut: 3000

   ![](/files/KgMSgS2QPHeZoOiU9Jlq)

   ![](/files/l93sjshwXkeYaobKY2jC)
2. Call the function "soapCall"and define the connector, function and set the function"toObject" to data.\
   connector: soap\
   function: login\
   data: toObject<br>

   ![](/files/YTonfdyywLAumrQqo2Wc)
3. Define the toObject(parameter)which are username and password and the component value.\
   username: componentValue (for defined the name in textbox.)\
   component: txtUsername<br>

   password: componentValue ( for defined the password in textbox.)\
   component: txtPassword<br>

   ![](/files/gpCvcsONAMcZrBRp5qQp)

   ![](/files/EgLeJkWQBVIVmw4BDm4V)

   ![](/files/5wM9PWKugLFrwqK5fiT3)
4. Add a console for display the response from console.<br>

   ![](/files/jY0QQubJWhB4OvK1ZHC4)

### Result

![](/files/BhOZPVS8uXYyb8Dv41J8)

## Notes

* N/A


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/soapcall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
